      subroutine hec_ped_summary
c
c print ped and rms computation stats for over all events
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_geo.inc'      !geometry correspondence tables
      include'hec_ped.inc'      !pedestal values
      include'hec_ped_sys.inc'  !pedestal computation
c
      integer ic
c
c do over channels
c
      print *, ' '
      print *, ' Pedestal computation summary'
      print *, '   Number of events used at pass 1 ',i_ped_evt1
      print *, '   Number of events used at pass 2 ',i_ped_evt2
      print *, '   ic      ped      rms  %cut at pass 2'
      do ic = 1, i_adc_used
        write(*, '(1x,i5,2(2x,f7.1),9x,f7.2)') 
     +  ic, adc_ped_run(ic), adc_rms_run(ic), ped_rej(ic)*100
      enddo
c
      end
        
